/**
 * APITable <https://github.com/apitable/apitable>
 * Copyright (C) 2022 APITable Ltd. <https://apitable.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import { IGlobalContext } from '../interface';
import React from 'react';
export declare const GlobalContext: React.Context<IGlobalContext>;
/**
 * Used at the topmost level in a standalone widget environment, equivalent to a complete datasheet runtime environment.
 * There can be only one globalContextProvider globally,
 * which can provide dependency support to multiple widgetStandAloneProvider.
 * When using the GlobalContextProvider,
 * just make sure that the globalContextProvider exists in the parent component above the widgetStandAloneProvider.
 */
export declare const GlobalContextProvider: React.FC<React.PropsWithChildren<unknown>>;
//# sourceMappingURL=global_context.d.ts.map