/**
 * APITable <https://github.com/apitable/apitable>
 * Copyright (C) 2022 APITable Ltd. <https://apitable.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import React from 'react';
import { IWidgetConfig, IWidgetContext } from '../interface';
/**
 * 1. provide the ability to read and write to the data source of the widget.
 * 2. provide the ability to read and write to the datasheet data.
 */
export declare const WidgetContext: React.Context<IWidgetContext>;
export declare type IWidgetProviderProps = IWidgetContext & IWidgetConfig & {
    /** Optionally, add a class to the outermost div of the components */
    className?: string;
    /** Optionally, add a style to the outermost div of the components */
    style?: React.CSSProperties;
};
/**
 * Provide the ability to get and control the outer UI state of the widget.
 */
export declare const WidgetConfigContext: React.Context<IWidgetConfig>;
/**
 * Within the main project, the WidgetProvider need to be wrapped before the widget be used.
 */
export declare const WidgetProvider: React.FC<React.PropsWithChildren<IWidgetProviderProps>>;
//# sourceMappingURL=widget_context.d.ts.map