/**
 * APITable <https://github.com/apitable/apitable>
 * Copyright (C) 2022 APITable Ltd. <https://apitable.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
import React from 'react';
export interface IWidgetStandAloneProps {
    id: string;
    datasheetId: string;
    locale?: string;
    className?: string;
    style?: React.CSSProperties;
}
/**
 * WidgetProvider for standalone widget,
 * with its own data loading capabilities and resourceService.
 * Multiple widgets can be loaded in a page, just wrap WidgetProvider on the outer layer of each widget.
 */
export declare const WidgetStandAloneProvider: React.FC<React.PropsWithChildren<IWidgetStandAloneProps>>;
//# sourceMappingURL=widget_context_stand_alone.d.ts.map