import { databus, IResourceOpsCollect } from '@apitable/core';
import { ClientDataLoader } from './client_data_loader';
export interface IDataStorageProvider {
    /**
     * @desc The method that applies command to generate an op, which is passed in as a callback function when the CommandManager is initialized.
     * This method is responsible for only two things.
     * 1. Apply the op generated by command to the local.
     * 2. Send op to intermediate layer via socket.
     * @param resourceOpsCollects
     */
    operationExecuted(resourceOpsCollects: IResourceOpsCollect[]): void;
}
export declare class ClientDataStorageProvider extends ClientDataLoader implements databus.IDataStorageProvider {
    private readonly operationExecuted;
    constructor(options: IDataStorageProvider);
    saveOps(ops: IResourceOpsCollect[]): Promise<any> | any;
}
//# sourceMappingURL=data_storage_provider.d.ts.map