/**
 * Maintaining the reference count of the view cache.
 */
declare class ReferenceCount {
    private referenceCountMap;
    constructor();
    /**
     * Get all subscription views.
     */
    private getSubscribeMap;
    add(datasheetId: string, viewId: string, widgetId: string): void;
    remove(datasheetId: string, viewId: string, widgetId: string): void;
    /**
     * Maintenance count.
     * 1. Clear out the key with count 0.
     * 2. Clear the key of an object whose referenceCount is empty.
     */
    maintainCount(datasheetId: string): void;
    clear(widgetId: string): void;
    /**
     * Notify the main thread of a change in subscription count.
     */
    notify(widgetId: string): void;
}
export declare const widgetReferenceCount: ReferenceCount;
export {};
//# sourceMappingURL=reference_count.d.ts.map